autentikasi/urls.py
from django.urls import path
from . import views

app_name = 'autentikasi'

urlpatterns = [
    path('login/', views.loginPage, name='login'),
    path('register/', views.registerPage, name='register'),
    path('logout/', views.logoutUser, name="logout"),
    path('', views.autentikasi, name='autentikasi'),
]

kepepetpergi/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('berita/', include('berita.urls')),
    path('tambahData/', include('tambahData.urls')),
    path('pencarian/', include('pencarian.urls')),
    path('status/', include('status.urls')),
    path('formSaran/', include('formSaran.urls')),
    path('autentikasi/', include('autentikasi.urls')),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

pencarian/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.pencarian, name='pencarian'),
    path('getInfo/<str:query>', views.get_all_info, name="get_all_info")
]

pencarian/models.py
from django.db import models

# Create your models here.

pencarian/forms.py
from django import forms
from main.models import Provinsi

class PencarianForm(forms.ModelForm):
    class Meta:
        model = Provinsi
        fields = ['nama']
        widgets = {
            'nama':forms.TextInput(attrs={
                'class':'form-control',
                'id' : 'query',
                'placeholder' : 'Masukkan nama provinsi',
                'oninvalid' : "alert('Masukkan nama provinsi yang ingin dicari terlebih dahulu!')",
            })
        }

pencarian/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect, HttpResponse, JsonResponse
from main.models import *
from .forms import PencarianForm
from pencarian import forms
from main import models
from django.contrib import messages
from rest_framework import serializers
from collections import OrderedDict
import requests
import json

# Create your views here.

def pencarian(request):
    if request.method == 'POST':
        form = PencarianForm(request.POST)
        if form.is_valid():
            return redirect('/pencarian/')
    else:
        form = PencarianForm()

    response = {
        'form' : form
    }
             
    return render(request, 'pencarian/pencarian.html', response)

class VerifiedInfoSerializer(serializers.ModelSerializer):
    provinsi = serializers.CharField(read_only=True, source="info_id.nama_provinsi.nama")
    protokol = serializers.CharField(read_only=True, source="info_id.protokol_kesehatan")

    class Meta:
        model = VerifiedInfo
        fields = ['provinsi','protokol']

class ProvinsiSerializer(serializers.ModelSerializer):
    class Meta:
        model = Provinsi
        fields = ['nama']

def get_all_info(request, query):
    verified = VerifiedInfo.objects.filter(info_id__nama_provinsi__nama=query).select_related('info_id')
    serialize = VerifiedInfoSerializer(verified, many=True).data
    
    for i in verified:
        website = i.info_id.website_pemda.all()[0].alamat
        email = i.info_id.email_pemda.all()[0].email
        telpon = i.info_id.telpon_pemda.all()[0].nomor_telpon
    
    for i in range(len(serialize)):
        serialize[i].update({'website' : website})
        serialize[i].update({'email' : email})
        serialize[i].update({'telpon' : telpon})

    data={
        'verified':serialize,
    }

    return JsonResponse(data)

pencarian/templates/pencarian/pencarian.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencarian</title>
{% endblock meta %}

{% block footer_style %}relative{% endblock %}

{% block content %}

<head>
 <link href="{% static 'pencarian/css/style.css' %}" rel="stylesheet"> 
</head>


<div class="d-flex flex-column my-3 berita-content">
  <h1 style="text-align: center;"> Pencarian </h1>

  <div class="card my-5 border-custom">
    <div class="card-body p-5">
      <h5 class="card-title">Nama Provinsi</h5>
          <form id="form" method="post" autocomplete="off">
            <div class="autocomplete" style="width: 100%;">
              {% csrf_token %}
              {% for form in form %}
                {{ form }}
              {% endfor %}
            </div>
            
            <br><br>
              <button class="btn btn-primary float-right" type="submit" style="border-radius: 0;">Search 🔍</button>
              <button id="reset" class="btn btn-warning float-right" type="reset" style="border-radius: 0;">Clear 🚮</button>
            <br>
          </form>

    </div>

    <button id="theme" class="btn btn-success float-right" type="submit" style="border-radius: 0;">Change Theme! ✨</button>
    <br><br>
  </div>

  <br><br>

   
  <div id="result">
    {% if info.nama_provinsi.nama != null %}
    <h1 style="text-align: center;"> Hasil Pencarian </h1> 
    <br><br>
    <h2 style="text-align: center;">{{ info.nama_provinsi.nama}}</h2>
    <br>
    <div id="accordian">
      <ul>
  
          <li class="active">
                <h3><span></span>Protokol Kesehatan</h3>
                {% if user.is_authenticated == True %}
              <div class="row">
                  <h4>{{ info.protokol_kesehatan }}</h4>
              </div>
                {% else %}
              <div class="row">
                  <p>Harap melakukan Login terlebih dulu untuk dapat melihat protokol kesehatan secara lengkap.<a href="{% url 'autentikasi:login' %}" class="ml-2">Login sekarang!</a></p>
              </div>
                {% endif %}
          </li>
  
          {% for website in info.website_pemda.all %}
          <li>
                <h3><span></span>Website</h3>
  
              <div class="row">
                  <h4><a href="{{ website.alamat }}" target="_blank">{{ website.alamat }}</a></h4>
              </div>
          </li>
          {% endfor %}
  
          {% for email in info.email_pemda.all %}
          <li>
                <h3><span></span>Alamat Email</h3>
  
              <div class="row">
                  <h4>>{{ email.email }}</h4>
              </div>
          </li>
          {% endfor %}
  
          {% for telpon in info.telpon_pemda.all %}
          <li>
                <h3><span></span>Nomor Telpon</h3>
  
              <div class="row">
                  <h4>{{ telpon.nomor_telpon }}</h4>
              </div>
          </li>
          {% endfor %}
      </ul>
      {% endif %}
    </div>
    
  </div>
  

</div>

{% block js %}

  <script>var isAuthenticated = '{{ request.user.is_authenticated }}' === 'True';</script>
  <script type='text/javascript' src="{% static 'pencarian/javascript/data.js' %}"></script>

{% endblock %}

{% endblock content %}